> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Annotations

> Returns a paginated list of annotations for the specified exam session.<br/><br/>Supports filtering and sorting via query parameters.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v2/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/annotations
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v2/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/annotations:
    get:
      tags:
        - Exam Session Annotation
      summary: List Annotations
      description: >-
        Returns a paginated list of annotations for the specified exam
        session.<br/><br/>Supports filtering and sorting via query parameters.
      operationId: getV2InstallsInstallsidExamsExamsidSessionsSessionsidAnnotations
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: sessionSid
          in: path
          schema:
            type: string
            description: Exam Session Sid
            pattern: ^ES[a-f0-9]{32}$
          description: Exam Session Sid
          required: true
        - name: typeId
          in: query
          schema:
            type: string
            description: Type identifier for the annotation
            maxLength: 50
          description: Type identifier for the annotation
        - name: categoryId
          in: query
          schema:
            type: string
            description: Category for the annotation type
            maxLength: 30
          description: Category for the annotation type
        - name: reviewed
          in: query
          schema:
            type: boolean
            description: Filter annotations by reviewed status
          description: Filter annotations by reviewed status
        - name: after
          in: query
          schema:
            type: string
            description: Filter annotations created after this date
            x-format:
              isoDate: true
          description: Filter annotations created after this date
        - name: before
          in: query
          schema:
            type: string
            description: Filter annotations created before this date
            x-format:
              isoDate: true
          description: Filter annotations created before this date
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Sorting keys
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - sessionSid
                - typeId
                - details
                - score
                - duration
                - reviewedDate
                - reviewerComment
                - reviewedBy
                - createdDate
                - createdById
                - updatedDate
                - updatedBy
          description: Sorting keys
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sorting order
            enum:
              - ASC
              - DESC
          description: Sorting order
        - name: offset
          in: query
          schema:
            type: integer
            description: Pagination offset
            minimum: 0
          description: Pagination offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Pagination limit
            minimum: 1
          description: Pagination limit
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````